Subject: Re: [PATCH iproute2] lib: bpf_glue: remove useless assignment

From: Stephen Hemminger <[email-masked]>
Date: Thu, 12 Aug 2021 09:26:56 -0700

On Thu, 12 Aug 2021 11:01:42 +0200
Andrea Claudi <[email-masked]> wrote:

> On Wed, Aug 11, 2021 at 09:08:15AM -0700, Stephen Hemminger wrote:
> > It is bad style in C to do assignment in a conditional.
> > It causes errors, and is not anymore efficient.
> >   
> I agree with you.
> 
> There is a large number of similar assignments in other parts of the
> code; I can work on a treewide patch to address them all, if you think
> it's a good idea.
> 

I am looking into this, checkpatch seems to find them